Subject: Re: warnings from drivers/tty/ehv_bytechan.c

From: "[email-masked]" <[email-masked]>
Date: Fri, 24 Feb 2012 14:19:24 -0800

On Fri, Feb 24, 2012 at 04:15:04PM -0600, Timur Tabi wrote:
> [email-masked] wrote:
> >> > That's the simplest approach, for use.  The TTY portion of the driver can
> >> > be used as a module.  Is there any real value in loading a TTY driver as a
> >> > module?
> 
> > Depends on the hardware it supports :)
> > 
> >> > In this case, the console support for byte channels would not be
> >> > available.
> 
> > Then it doesn't make sense, right?
> 
> I guess that's my question.  Is there a real use case for having console
> output go to the serial port, and TTY go to a byte channel?  Even if you
> wanted to do that, I supposed you don't need to load the byte channel
> driver as a module to get that behavior.
> 
> Anyway, that's all academic.  A more important question is: now that the
> driver can't be compiled as a module, should I change module_init() to
> something else (like device_initcall)?
> 
> Should I remove this line?
> 
> 	#include <linux/module.h>

No, no need to, leave it as-is if it builds properly.

greg k-h